#include <xvt.h>
#include <checks.h>

#define __MAIN__   
#include "cg3.h"

#define usage   "Error - usage : %s -{0|1|2|3|4|5}"

int main(int argc,char** argv)
{
  int             rt = 0 ;
  int s = atoi(argv[1]+1) ;

  switch (s)
  {
  case 0: rt = cg3100(argc,argv) ; break;
        case 1: rt = cg3200(argc,argv) ; break;
        case 2: rt = cg3300(argc,argv) ; break;
        case 3: rt = cg3400(argc,argv) ; break;
        case 4: rt = cg3500(argc,argv) ; break;
        default: error_box(usage, argv[0]) ; break;
        }
  return rt;
}




